Bug 10872 - Expires and Last-Modified headers should use two-digit days
Summary: Expires and Last-Modified headers should use two-digit days
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System.Web (show other bugs)
Version: master
Hardware: All All
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL: http://trac.nginx.org/nginx/ticket/310
Depends on:
Blocks:
 
Reported: 2013-03-04 06:11 UTC by Daniel Lo Nigro
Modified: 2013-03-04 11:12 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Daniel Lo Nigro 2013-03-04 06:11:46 UTC
While RFC 822 and RFC 1123 both allow either one- or two-digit days in dates, HTTP only allows two-digit days (see http://tools.ietf.org/html/rfc2616#section-3.3.1)

Mono currently outputs dates in this format:
Sun, 3 Mar 2014 13:22:27 GMT

When they should be in this format:
Sun, 03 Mar 2014 13:22:27 GMT

I've fixed this and will submit the fix via Github; this bug is just for tracking purposes.
Comment 1 Daniel Lo Nigro 2013-03-04 06:50:06 UTC
Pull request submitted: https://github.com/mono/mono/pull/588
Comment 2 Miguel de Icaza [MSFT] 2013-03-04 11:12:39 UTC
Applied